### Function

# Ide ThreadPool push_with_priority

#### Declaration

    void
    ide_thread_pool_push_with_priority (
      IdeThreadPoolKind kind,
      gint priority,
      IdeThreadFunc func,
      gpointer func_data
    )

#### Description

Runs the callback on the thread pool thread.

Available since: | 3.32

#### Parameters

`kind` | `IdeThreadPoolKind`
| The threadpool kind to use.
`priority` | `gint`
| The priority for func.
`func` | `IdeThreadFunc`
| A function to call in the worker thread.
`func_data` | `gpointer`
| User data for `func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.